Scilab Function
Last update : 00/00/0000

perms - retourne toutes les permutations des composantes d'un vecteur

### Calling Sequence

  `y=iscellstr(x)`

### Parameters

- `x`: un scalaire ou un vecteur.
- `x`: un scalaire ou une matrice.

### Description

Etant donné un vecteur `x` de longueur `n`, la fonction `perms` retourne toutes les permutations des `n` composantes de `x` , soit `n!` permutations. La matrice `y` est de taille `n! x n`.

### Examples

    // exemple 1 :
    x=[4 7 10];
    y=perms(x)

    // exemple 2 :
    x=[1 5 2 5];
    y=perms(x)

### See Also

`permute`,